; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG_4_ZEILEN:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi ZH, high(TEXT_BEGRUESSUNG_3*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_3*2)
	rcall ANZEIGE_TEXT
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZH, high(TEXT_BEGRUESSUNG_4*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_4*2)
	rcall ANZEIGE_TEXT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_HAUPTMENUE:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_SENDERNAME_KURZ	; 8
	rcall LCD_SPACE
	rcall ANZEIGE_TA_KURZ
	rcall ANZEIGE_RDS_ZEIT_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_RADIOTEXT1_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_RADIOTEXT2_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_RADIOTEXT3_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR:
	LDS temp,(adr_ERROR_CODE)
	tst temp
	brne ANZEIGE_ERROR_RUN
	ret
ANZEIGE_ERROR_RUN:
	cbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  an	
	rcall wait_1s
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp,'E'
	rcall LCD_DATA_TEMP
	ldi temp,'r'
	rcall LCD_DATA_TEMP
	ldi temp,'r'
	rcall LCD_DATA_TEMP
	ldi temp,'o'
	rcall LCD_DATA_TEMP
	ldi temp,'r'
	rcall LCD_DATA_TEMP
	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp1,(adr_ERROR_CODE)
	rcall ANZEIGE_3_STELLEN_TEMP1
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WARTUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	LDS temp1,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_L)
	LDS temp2,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_H)
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp1,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_ERROR_L)
	LDS temp2,(adr_RDS_ZAEHLER_ANZ_GRUPPEN_ERROR_H)
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	; ZEILE3		
	rcall LCD_ZEILE3
	; ZEILE4		
	rcall LCD_ZEILE4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SRAM:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp1, LOW(SRAM_START)
    ldi temp2, HIGH(SRAM_START)
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	rcall LCD_SPACE
	ldi temp1, LOW(RAMEND)
    ldi temp2, HIGH(RAMEND)
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp1, LOW(RAMEND)
    ldi temp2, HIGH(RAMEND)
	ldi temp3, LOW(SRAM_START)
    ldi temp4, HIGH(SRAM_START)
	SUB temp1,temp3
	SBC temp2,temp4
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi temp1, LOW (adr_SRAM_CHECK)
    ldi temp2, HIGH(adr_SRAM_CHECK)
	ldi temp3, LOW (SRAM_START)
    ldi temp4, HIGH(SRAM_START)
	SUB temp1,temp3
	SBC temp2,temp4
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
	; ZEILE4		
	rcall LCD_ZEILE4
	ldi ZL, LOW (adr_SRAM_CHECK+1)
    ldi ZH, HIGH(adr_SRAM_CHECK+1)
ANZEIGE_SRAM_s:
	LD temp,Z+
	tst temp
	brne ANZEIGE_SRAM_w
	rjmp ANZEIGE_SRAM_s
ANZEIGE_SRAM_w:
	subi ZL,1
	mov temp1,ZL
	mov temp2,ZH
	ldi temp3, LOW(SRAM_START)
    ldi temp4, HIGH(SRAM_START)
	SUB temp1,temp3
	SBC temp2,temp4
	rcall ANZEIGE_5_STELLEN_TEMP1_TEMP2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PTY:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_SENDERNAME_KURZ	; 8
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_TP_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_TA_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	ldi temp,'M'
	rcall LCD_DATA_TEMP	
	ldi temp,'/'
	rcall LCD_DATA_TEMP
	ldi temp,'S'
	rcall LCD_DATA_TEMP
	rcall LCD_DOPPEL_PUNKT
	rcall ANZEIGE_MUSIK_SPRACHE_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_PTY_TEXT_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PI:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_SENDERNAME_KURZ	; 8
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall LCD_SPACE
	rcall ANZEIGE_PI_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_PI_ZIFFER1_TEXT_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_PI_ZIFFER3_TEXT_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_PI_ZIFFER4_TEXT_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_PI_ZIFFER2_TEXT_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RADIOTEXT_SEITE_A:
	; ZEILE1	
	rcall LCD_ZEILE1
	rcall ANZEIGE_RADIOTEXT1_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_RADIOTEXT2_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_RADIOTEXT3_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_RADIOTEXT4_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RADIOTEXT_SEITE_B:
	; ZEILE1	
	rcall LCD_ZEILE1
	rcall ANZEIGE_RADIOTEXT5_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_RADIOTEXT6_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_RADIOTEXT7_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_RADIOTEXT8_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_GESENDETE_GRUPPENTYPEN:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi temp1,'0'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+0)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'0'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+1)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'1'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+2)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'1'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+3)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'2'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+4)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'2'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+5)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'3'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+6)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'3'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+7)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP

	; ZEILE2	
	rcall LCD_ZEILE2
	ldi temp1,'4'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+8)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'4'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+9)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'5'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+10)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'5'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+11)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'6'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+12)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'6'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+13)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'7'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+14)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'7'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+15)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	; ZEILE3
	rcall LCD_ZEILE3
	ldi temp1,'8'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+16)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'8'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+17)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'9'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+18)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'9'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+19)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'a'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+20)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'a'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+21)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'b'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+22)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'b'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+23)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	; ZEILE4
	rcall LCD_ZEILE4
	ldi temp1,'c'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+24)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'c'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+25)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'d'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+26)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'d'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+27)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'e'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+28)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'e'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+29)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'f'
	ldi temp2,'A'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+30)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
	ldi temp1,'f'
	ldi temp2,'B'
	LDS temp,(adr_RDS_BEREICH_GRUPPENNUMMERN32+31)
	rcall ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP
ret
;------------------------------------------------------------------------------
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP:
	tst temp
	breq ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP_NO
	mov temp, temp1
	rcall LCD_DATA_TEMP
	mov temp, temp2
	rcall LCD_DATA_TEMP
	ret
ANZEIGE_GESENDETE_GRUPPENTYPEN_AUSWERTUNG_TEMP_NO:
	ldi temp,'_'
	rcall LCD_DATA_TEMP
	rcall LCD_DATA_TEMP
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_LISTE_AF_SEITE1:
	; ZAEHLER	
	STS(adr_RDS_ZAEHLER_AF),NULL
ANZEIGE_LISTE_AF_RUN:
	; ZEILE1	
	rcall LCD_CLEAR
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall LCD_SPACE
	rcall ANZEIGE_ANZAHL_ALTERNATIVFREQUENZEN_KURZ
	; ZEILE2	
	rcall LCD_ZEILE2
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	; ZEILE3		
	rcall LCD_ZEILE3
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	; ZEILE4		
	rcall LCD_ZEILE4
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_LISTE_AF_SEITE2:
	; ZEIGER	
	STS(adr_RDS_ZAEHLER_AF),NULL
	; 8xDUMMY	
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
rjmp ANZEIGE_LISTE_AF_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_LISTE_AF_SEITE3:
	; ZEIGER	
	STS(adr_RDS_ZAEHLER_AF),NULL
	; 16xDUMMY	
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
	rcall ANZEIGE_NEXT_AF_KURZ
rjmp ANZEIGE_LISTE_AF_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################


